Subject: Re: [mobile-ip] alignment requirement for BAD data

From: Joe Lau <[email-masked]>
Date: Thu, 23 Jan 2003 11:05:13 -0800 (PST)

> hmmmm.. I was one who suggested removing the alignment requirement
> for the BAD option.  its the MH header which has the alignemnt 
> requirement of 8n, not the BAD option.
>
> but you are right. you still have to introduce two bytes of 
> padding before the BAD option to satisfy the two conditions
> 1. MH header MUST have length of 8n.
> 2. BAD MUST be the last one.
>
> but I am not sure if we should specify alignment requirements for
> the BAD options just to satisfy the above two conditions. what do
> others think?
> 
> I am also fine with putting back the alignment requirement if
> needed

In order to meet the above _two_ conditions, I share Bryan Wang's view
that we need to specify 8n+2 alignment for BAD.

Joe